Subject: bug#4653 closed by Chong Yidong <[email-masked]> (Re: bug#4653: 23.1.50; ordering of bookmark-jump menu)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 08 Nov 2009 23:10:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4653: 23.1.50; ordering of bookmark-jump menu

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
4653: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4653
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4653: 23.1.50; ordering of bookmark-jump menu
From: Chong Yidong <[email-masked]>
To: Markus Rost <[email-masked]>
Cc: [email-masked]
Date: Sun, 08 Nov 2009 18:02:30 -0500

> Sorry, that *was* the case with Emacs 22 as well.  In my private copy
> of Emacs 22 I had applied the patch below (I have added 'bookmark-jump
> to the tool-bar and I use the menu very often).
>
> A change like in the patch seems to be more consistent with the
> documentation of bookmark-sort-flag

Look reasonable.  I've checked the patch in, thank you.

Subject: 23.1.50; ordering of bookmark-jump menu
From: Markus Rost <[email-masked]>
To: [email-masked]
Date: Tue, 6 Oct 2009 16:29:40 +0200 (CEST)

If you call

C-x r l  (bookmark-bmenu-list)

the list of bookmarks is ordered by name.  Similarly with C-x r b RET.
That is fine.

However, if you call bookmark-jump through the menu, with

<menu-bar> <edit> <bookmark> <jump>

the shown list (in a pop up window) has the order from .emacs.bmk.
That wasn't the case with Emacs 22.